Name:       jenkins-plugin-openshift
Version: 0.6.5
Release:    0%{?dist}
Summary:    Provides Basic OpenShift interface to jenkins

Group:      Applications/Internet
License:    ASL 2.0
URL:        http://openshift.redhat.com/
Source0:    openshift.hpi
Source1:    LICENSE
Source2:    COPYRIGHT
BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

%description
The openshift.hpi plugin allows Jenkins to create application 'slaves' as
builders for jenkins to use

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE2} $RPM_BUILD_ROOT/%{_libdir}/jenkins/

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_libdir}/jenkins/openshift.hpi
%doc %{_libdir}/jenkins/LICENSE
%doc %{_libdir}/jenkins/COPYRIGHT

%changelog
* Wed Oct 10 2012 --commit-message=Integrate with openshift-java-client 2.0.1 <--committer-email=dmace@redhat.com> - 0.6.5
- --committer-name=Dan Mace
* Mon Oct 08 2012 Dan McPherson <dmcphers@redhat.com> - 0.6.4
- stickshift -> openshift
* Sat Oct 06 2012 William DeCoste <wdecoste@redhat.com> - 0.6.3
- add zend and ews types

* Thu Aug 30 2012 William DeCoste <wdecoste@redhat.com> - 0.6.2
- Refactor for cartridge layout change + dependency version upgrades

* Mon Aug 27 2012 William DeCoste <wdecoste@redhat.com> - 0.6.1
- bz 837469 added ruby-1.9 builder

* Mon Aug 20 2012 William DeCoste <wdecoste@redhat.com> - 0.6.0
- bz 849348 and java client 2.0.0

* Tue Jul 24 2012 William DeCoste <wdecoste@redhat.com> - 0.5.24
- bz 841157

* Thu Jul 19 2012 William DeCoste <wdecoste@redhat.com> - 0.5.23
- new java client

* Mon Jul 9 2012 William DeCoste <wdecoste@redhat.com> - 0.5.22
- flexible label

* Mon Jul 9 2012 William DeCoste <wdecoste@redhat.com> - 0.5.21
- kill build for no label

* Wed Jun 13 2012 William DeCoste <wdecoste@redhat.com> - 0.5.20
- added nodejs and jbosseap builder types

* Wed Apr 25 2012 William DeCoste <wdecoste@redhat.com> - 0.5.19
- use latest java client

* Tue Apr 24 2012 William DeCoste <wdecoste@redhat.com> - 0.5.18
- bug 815723

* Fri Apr 20 2012 William DeCoste <wdecoste@redhat.com> - 0.5.17
- added logging for config reload

* Thu Apr 19 2012 William DeCoste <wdecoste@redhat.com> - 0.5.16
- bug 813652

* Tue Apr 17 2012 William DeCoste <wdecoste@redhat.com> - 0.5.15
- arquillian

* Mon Apr 16 2012 William DeCoste <wdecoste@redhat.com> - 0.5.14
- bug 810206

* Thu Apr 12 2012 William DeCoste <wdecoste@redhat.com> - 0.5.13
- bug 810206

* Thu Apr 12 2012 William DeCoste <wdecoste@redhat.com> - 0.5.12
- bug 811192

* Wed Apr 11 2012 William DeCoste <wdecoste@redhat.com> - 0.5.11
- bug 811509

* Mon Apr 9 2012 William DeCoste <wdecoste@redhat.com> - 0.5.10
- added license and copyright

* Mon Apr 9 2012 Troy Dawson <tdawson@redhat.com> - 0.5.9-2
- Removed Requires: cartridge-jenkins-1.4

* Tue Apr 3 2012 William DeCoste <wdecoste@redhat.com> - 0.5.9
- new cart name

* Tue Apr 3 2012 William DeCoste <wdecoste@redhat.com> - 0.5.8
- new build

* Mon Apr 2 2012 William DeCoste <wdecoste@redhat.com> - 0.5.7
- Use 1.2.1 java client

* Mon Apr 2 2012 William DeCoste <wdecoste@redhat.com> - 0.5.6
- bug 802686

* Tue Mar 27 2012 William DeCoste <wdecoste@redhat.com> - 0.5.5
- bug 807260

* Sat Mar 24 2012 William DeCoste <wdecoste@redhat.com> - 0.5.4
- bug 802686
* Wed Mar 14 2012 Dan McPherson <dmcphers@redhat.com> - 0.5.3
- Building latest
* Tue Mar 13 2012 Dan McPherson <dmcphers@redhat.com> - 0.5.2
- Testing new build process
* Tue Mar 13 2012 William DeCoste <wdecoste@redhat.com> - 0.5.1
- bug 802271

* Mon Mar 12 2012 Dan McPherson <dmcphers@redhat.com> - 0.5.0
- Several changes to keep up with stickshift

* Fri Mar 9 2012 William DeCoste <wdecoste@redhat.com> - 0.4.28
- bug 798866

* Fri Mar 9 2012 William DeCoste <wdecoste@redhat.com> - 0.4.27
- allow unsigned https

* Wed Mar 7 2012 William DeCoste <wdecoste@redhat.com> - 0.4.26
- raw 2 diy

* Tue Mar 6 2012 William DeCoste <wdecoste@redhat.com> - 0.4.25
- Copyright

* Mon Mar 5 2012 William DeCoste <wdecoste@redhat.com> - 0.4.23
- bug 798866

* Sun Feb 26 2012 William DeCoste <wdecoste@redhat.com> - 0.4.22
- as7

* Fri Feb 24 2012 William DeCoste <wdecoste@redhat.com> - 0.4.21
- updated config.jelly for ruby/python

* Thu Feb 23 2012 William DeCoste <wdecoste@redhat.com> - 0.4.20
- removed hardcoded app/gear max

* Fri Feb 17 2012 William DeCoste <wdecoste@redhat.com> - 0.4.19
- bug 794544

* Fri Jan 27 2012 William DeCoste <wdecoste@redhat.com> - 0.4.18
- 1.1.0-SNAPSHOT java client

* Thu Jan 12 2012 William DeCoste <wdecoste@redhat.com> - 0.4.17
- trim whitespace

* Tue Jan 4 2012 William DeCoste <wdecoste@redhat.com> - 0.4.16
- Bug 771716

* Tue Dec 12 2011 William DeCoste <wdecoste@redhat.com> - 0.4.15
- pass node profile

* Tue Oct 11 2011 Mike McGrath <mmcgrath@redhat.com> - 0.1-1
- Initial packaging
